Figure - 0 O Dev #111916
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O
0 MKO O APPO O Launcher-Editmode] O TC-RID: 1201-02053041
2022-09-13 16:55 - CD FW-[ [

Status: 0 0O O Pending Start date:
Priority: Normal Due date:
Assignee: CDAPP-0 O % Done:

Category: Estimated time:

Target version: VX1_MCE_FSE_V3.0_20221030

2022-09-13

50%
0.00 hour

Description

History

#1 - 2022-09-26 16:37 - CD APP-0 O

- Status changed from New to O 00 O Pending

- Target version set to VX1_MCE_FSE_V2.0_20220930
- % Done changed from 0 to 50

1000200 000000000000000PRD

https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf

20UI000000Bleck0 00O VIDODOOOOOUIODDODODOODODDODODO

#2 -2022-10-1020:19-CD FW-0O O

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_20221030

#3 - 2022-12-08 10:05 - 10T scm
Gerrit Merge Information(]

1D Project Branch

Uploader

her3 -dev

167519 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | lids1211@thundersoft.com

TS-R-DF-111916Change-1d: 13d8693ff338e1e7949c18f316b9739e13dcceees

FW:Launcher: Sink folder in EditModel. Make the folder sink in edit mode.2. Revert workspace pivot. TC-RID: 1201-0205304IssuelD:

#4 - 2022-12-08 17:23 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
168637 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | lids1211@thundersoft.com
her3 -dev

2025-07-04
https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf

FW:Launcher: Enter edit mode close free window1. Close free window when enter edit mode and recover it when exit. TC-RID: 1201-0205304IssuelD:
TS-R-DF-111916Change-1d: 15f14323da4632b410bc1996493f3d12884ad57e7

#5 - 2022-12-08 17:23 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

168660

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Fix gesture bug in edit model. In edit mode, swiping down from the center of the desktop does not open the notification bar. TC-RID:
1201-0205304Issuel D: TS-R-DF-111916Change-1d: 186a2¢562022ba62e7622bb291b79360536aee672

#6 - 2022-12-12 09:11 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

168910

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Modify folder name positionl. Folder name and icon border are left aligned in edit mode. TC-RID: 1201-02053041ssuel D:
TS-R-DF-111916Change-1d: 18a0192744e2f9b04167c9b0d80944d3debd92abc

#7 - 2022-12-1515:04 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

170252

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Fix NPE about folderl. Disable FOLDER_NAME_SUGGEST to resolve a concurrency problem.TC-RID: 1201-0205304Issuel D:
TS-R-DF-111916Change-Id: 190a109fd498b5389af4a3e3a9bed171201ad93c7

#8 - 2022-12-15 15:04 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

170255

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

lids1211@thundersoft.com

2025-07-04

FW:Launcher: Modify folder uil. Center folder name vertically. TC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-Id:
1c955315fc9133338aaafbceb69e20ah624b933e6

#9 - 2022-12-15 15:05 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
170253 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | lids1211@thundersoft.com
her3 -dev

FW:Launcher: Remove empty screen after group1. Remove empty screen after group. TC-RID: 1201-0205304Issuel D: TS-R-DF-111916Change-I1d:
116c464f3ec4122a70f8a8714€99187efc6fc0437

#10 - 2022-12-22 20:27 - CD FW-0O O

Gerrit Merge Information(

1D Project Branch Uploader
145279 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | ying.wang@thundersoft.com
her3 -dev

FW: Launcher: Add edit mode entranceAdd edit mode entrance when user long press the screen. TC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-Id:
1c4c175679c4d776a6239760fd8c514806a825433(cherry picked from commit 9807705f34d7el1e6b8fba8bbd8c50914fh555d48)

#11-2022-12-22 20:31 - CD Fw-0O O
Gerrit Merge Information(]

1D Project Branch Uploader
148260 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | ying.wang@thundersoft.com
her3 -dev

FW:Launcher: Add basic data in editing status1.In the editing state, the data is stored in the LinkedHashMap2.Use the ID of iteminfo as the key of the map3.Edit
status, intercept widget click eventsTC-RID: 1201-0205304Issuel D: TS-R-DF-111916Change-1d: 152478b49ecef3326263e6clelecff0441f1bb879

#12 - 2022-12-22 20:31 - CD Fw-0O O

Gerrit Merge Information(

1D Project Branch Uploader
148418 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | ying.wang@thundersoft.com
her3 -dev

2025-07-04 3/11




FW:Launcher: add edit uninstall button enable statusl.add edit uninstall button enable statusTC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-Id:
134a59¢53c4b53ch3ff8a50c5a7d733a53fhd 795

#13 - 2022-12-22 20:31 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

148419

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: add edit status item check status1.Add workspace item check status2.Add folder items check status3.Supports synchronization of all page status of
folders4.Synchronize editing state when creating a folder and shortcutTC-RID: 1201-02053041ssuelD: TS-R-DF-111916Change-Id:
15776bbe4fd47288a2cd195afch47364f811d77e5

#14 - 2022-12-22 20:31 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

148420

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: Multi-select groupl.create a new folder and place the selected app in it2.set default folder nameTC-RID: 1201-0205304IssuelD:
TS-R-DF-111916Change-Id: la6aa27c195afc830757bfa3dc78c5042362ade8¢c

#15 - 2022-12-22 20:31 - CD FwW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

148421

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: Modify generated folder location1.The folder location generated by group, is the selected first app location2.Fix app icon not disappearingTC-RID:
1201-0205304Issuel D: TS-R-DF-111916Change-Id: 1521865df2693db959e76805f47ab087db905335f

#16 - 2022-12-22 20:31 - CD Fw-0O O

Gerrit Merge Information(]

ID

Project

Branch

Uploader

148422

2025-07-04

general/platform/packages/apps/Launc

Pre_figure_turbox-c2130c-lal.1-gssi12

ying.wang@thundersoft.com
her3

-dev

FW:Launcher:add edit mode uninstall function1.Add single app uninstall2.Add batch uninstall3.Added uninstall completion status callbackTC-RID:
1201-0205304Issuel D: TS-R-DF-111916Change-1d: 1089befcfbd865f5fef072f93f9d6a3569be37h6h

#17 - 2022-12-22 20:31 - CD Fw-O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

148423

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: add drag uninstall silent1.add drag uninstall silentTC-RID: 1201-02053041ssuelD: TS-R-DF-111916Change-1d:
112b72e4efff6f565aldceadee5f91731ecddfbcl

#18 - 2022-12-22 20:31 - CD Fw-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

148424

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: add uninstall dialogl.Add uninstall dialog2.Add batch uninstall logic3.Add status processing after uninstall4.Optimize drag and drop
uninstallTC-RID: 1201-02053041ssuel D: TS-R-DF-111916Change-Id: 1f08e01358bf3b891b57da4e4151960f421a8fa51

#19 - 2022-12-22 20:31 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

148429

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW: Launcher: Edit mode hide hotseatl.When start edit mode hide the hotseat with animation.2.Scale workspace when start edit mode. TC-RID:
1201-0205304IssuelD: TS-R-DF-111916Change-1d: 1dd61651b5d1cb84b72590947466945f5aa989ab5

2025-07-04
#20 - 2022-12-22 20:31 - CD FwW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

148432

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: add edit mode checkbox uil.Add edit mode checkbox ui2.Optimize checkbox logic3.Edit state drag and drop does not display checkboxTC-RID:
1201-0205304Issuel D: TS-R-DF-111916Change-1d: 19b4d145aac5cda0f4c7d45f814c102b9db279d10

#21-2022-12-22 20:31 - CD Fw-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

148433

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW: Launcher: Edit mode zoom1.When start edit mode hide the hotseat.2.Zoom workspace when start edit mode.3.Increase page space when zoom
workspace.4.Drag icon to the edge to turn the page. TC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-1d: 1f528aa16e9bf79d7a4fc9490ab47da6677cf0e73

#22 - 2022-12-22 20:31 - CD Fw-O O
Gerrit Merge Information(]

ID

Project

Branch

Uploader

148434

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: Add group condition judgmentl.If the number of selected app is less than two, disable the group button.2.Open folder and disable the group
button. TC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-1d: 18e8b214dd59817c478e28c2205a2d909¢0d8174b

#23 - 2022-12-22 20:32 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

148439

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

ying.wang@thundersoft.com

2025-07-04
FW: Launcher: Modify edit button stylel.Modify edit button according to new UE.TC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-1d:
I6afabe5156ad9a91a571dcd77¢2037060c1c8840

#24 - 2022-12-22 20:32 - CD Fw-0O O

Gerrit Merge Informationd

1D Project Branch Uploader
148440 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | ying.wang@thundersoft.com
her3 -dev

FW:Launcher:modify uninstall ui and add Add screen adaptation folderl.Modify uninstall ui2.Add screen adaptation folder3.Handle uninstall failure dataTC-RID:
1201-02053041ssuel D: TS-R-DF-111916Change-Id: 19e7a976c73feeb843cf5c3f7d330a927cccOfc21

#25 - 2022-12-22 20:32 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
148442 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | ying.wang@thundersoft.com
her3 -dev

FW:Launcher: Modify the app-icon and text-size and drag shadowl. Modify the alignment and size of shadow view and other apps when dragging an app.2.
Modify and drag the rounded corners of the shadow view of the app to be consistent with the rounded corners of the app icon.3.Modify the image size and font size
of APP in device profiles. TC-RID: 1201-0205304Issuel D: TS-R-DF-111916Change-1d: 1683f980535c80d9e86da31d1b2b9e63278228901

#26 - 2022-12-22 20:32 - CDFwW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
148548 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | jiao.li_a@thundersoft.com
her3 -dev

FW:Launcher: Folder EditModel.Fix buttons in EditView could not be clicked when the folder is open2.Fix Hotseat animation conflict3.Click the area outside the
folder to close the folder4.Long press any area on the launcher to enter edit modeTC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-Id:
19e0a4128bc18c8424{6242837b07546461bce2b0

#27 - 2022-12-22 20:32 - CD FwW-0 O

2025-07-04 7/11



Gerrit Merge Information(

1D

Project

Branch

Uploader

148586

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Modify workspace positionl. HOTSEAT_MARGIN_LEFT_OR_RIGHT is moved to DeviceProfile2.Modify workspace positionTC-RID:
1201-02053041ssuel D: TS-R-DF-111916Change-Id: If7adf1583cac36148bf14621571f5f3da8d46b1f

#28 - 2022-12-22 20:32 - CD FwW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

148620

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Modify the folder-icon size and hotseat drag shadow1.Modify the folder size and preview spacing in the folder.2.Modify the shadow size when
dragging the icon in hotspot.3.Modify the arc and color values of the drag icon shadow.TC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-I1d:
147¢9c5460bce9b91c71ff5e9e92a6d09fd1bb876

#29 - 2022-12-22 20:32 - CD Fw-0 O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

148716

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

huangpeng1216@thundersoft.com

FW:Launcher:modify edit mote buttons Ul and fix bugsl.Modify edit mote buttons UI2.Fix the abnormal disappearance of the animation after switching the
hotseat direction3.Fix the bug that workspace padding fails after switching the hotseat directionTC-RID: 1201-02053041ssuelD: TS-R-DF-111916Change-1d:
170c3fc1908f7a388ce60403cae14407609194e4b

#30 - 2022-12-22 20:32 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

148908

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

jiao.li_a@thundersoft.com

2025-07-04

8/11




FW:Launcher: Modify EditMode shrink effect1.In edit mode, scale with the bottom of the last row of icon as y pivot2.In edit mode, icons is centered
horizontallyTC-RID: 1201-0205304lssuelD: TS-R-DF-111916Change-Id: 18df059554f91d8dbb631f41063b2249cd9db9071

#31 - 2022-12-22 20:32 - CD Fw-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
148909 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | huangpengl216@thundersoft.com
her3 -dev

FW:Launcher: Hide edit button while dragging and disable fling to deletel.Hide edit button while dragging2.disable fling to delete3.edit mode do not draw icon
notifacation dot4.adjust drop target bar position5.fixed a android 12 bugTC-RID: 1201-0205304Issuel D: TS-R-DF-111916Change-1d:
Ibf2c2a8ebac6c319756fac46bfa0600d860a275¢e

#32 - 2022-12-22 20:34 - CD Fw-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
150038 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | huangpengl216@thundersoft.com
her3 -dev

FW:Launcher: Improve the editing mode batch uninstall logicl.Improve the editing mode batch uninstall logic2.1f the uninstall list contains system apps, after the
batch uninstallation is completed, it will prompt the apps that cannot be uninstalled, and keep the selected state. TC-RID: 1201-0205304IssuelD:
TS-R-DF-111916Change-1d: 13b0391e484f72ca4992ba4357ce53e41b47009d5

#33 - 2022-12-22 20:34 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
150373 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | huangpengl216@thundersoft.com
her3 -dev

FW:Launcher: Optimize uninstall data clearingl.Optimize uninstall data clearing2.When the folder is opened, the uninstall box pops up, and the folder is not
exited3.After clicking the uninstall application in the folder, do not close the folderTC-RID: 1201-02053041ssuelD: TS-R-DF-111916Change-1d:
1139bafc243bf845f9f463e77f7cdc1764036f093
#34 - 2022-12-22 20:54 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

164913

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Modify EditMode UI1. Modify appearance of edit mode button.2. Modify icon checkbox.3. Show icon border in edit mode.4. Modify folder
background when dragging icon.5. Fix the folder closing animation bug in edit mode. TC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-Id:
149730c5d63178ca9f78b34e13a8bclc287a2b45¢

#35 - 2022-12-22 20:55 - CD FwW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

165105

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Limit text length1. Limit the maximum text length to ensure that the text is inside the border. TC-RID: 1201-0205304IssuelD:
TS-R-DF-111916Change-Id: 1557add564a04754b09c1be4flefe6dadd18102eb

#36 - 2022-12-27 14:22 - 10T scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

172332

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Update folder in hotseat after groupl. Update folder in hotseat after group.2. Add data log. TC-RID: 1201-02053041ssuel D:
TS-R-DF-111916Change-Id: 1d853052c0cd4e13e96326b30df873ce89d110b93

#37 - 2023-09-12 18:09 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

312060

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wujun.wang@thundersoft.com

2025-07-04
AF:Launcher: edit ui adjust1.disable system app to show uninstall.2.edit ui can close by move from y.TC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-Id:
le4ad1028e8f3082219020cd9b2b6d7f1ab154672

#38 - 2023-10-07 14:58 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

317236

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: edit ui adjust1.disable system app to show uninstall.2.edit ui can close by move from y.TC-RID: 1201-0205304IssuelD: TS-R-DF-111916Change-Id:
le4ad1028e8f3082219020cd9b2b6d7f1ab154672(cherry picked from commit 872558964afe392d8179ef5144c261e307ef242d)

2025-07-04
